# ActorFactory (dapr-sdk-parent 1.10.0 API)

Package io.dapr.actors.runtime

## Interface ActorFactory<T extends AbstractActor>

Type Parameters:
  `T` - Actor Type to be created.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ActorFactory<T extends AbstractActor>

Creates an actor of a given type.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `createActor​(ActorRuntimeContext<T> actorRuntimeContext, ActorId actorId)` Creates an Actor.

### Method Detail

#### createActor

    T createActor​(ActorRuntimeContext<T> actorRuntimeContext,
                  ActorId actorId)

Creates an Actor.

Parameters:
  `actorRuntimeContext` - Actor type's context in the runtime.
  `actorId` - Actor Id.
Returns:
  Actor or null it failed.